<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioEstadios' }">
          Regresar
        </router-link>
      </div>
    </div>
    <div class="row formulario">
      <div class="col-12">
        <h1 class="titulo">Insertar estadio</h1>
      </div>
      <div class="col-12">
        <form action="POST" class="row g-3" @submit.prevent @submit="postData()">
          <div class="col-12 col-md-6 text-start">
            <label for="nombre" class="form-label">Nombre:</label>
            <input
                class="form-control"
                type="text"
                id="nombre"
                name="nombre"
                required
                v-model="estadio.nombre"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="apodo" class="form-label">Apodo:</label>
            <input
                class="form-control"
                type="text"
                id="apodo"
                name="apodo"
                required
                v-model="estadio.apodo"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="ciudad" class="form-label">Ciudad:</label>
            <input
                class="form-control"
                type="text"
                id="ciudad"
                name="ciudad"
                required
                v-model="estadio.ciudad"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="capacidad" class="form-label">Capacidad:</label>
            <input
                class="form-control"
                type="number"
                id="capacidad"
                name="capacidad"
                required
                v-model="estadio.capacidad"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="fechaApertura" class="form-label">Fecha de apertura:</label>
            <input
                class="form-control"
                type="date"
                id="fechaApertura"
                name="fechaApertura"
                required
                v-model="estadio.fechaApertura"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="idPais" class="form-label">País: </label>
            <select 
                class="form-control"
                v-model="estadio.idPais" 
                id="idPais" 
                name="idPais" 
                required 
            >
              <option disabled value="0">Seleccione una opción</option>
              <option
                v-for="pais in paises"
                v-bind:value="pais.id"
                :key="pais.id"
              >
                {{ pais.nombre }}
              </option>
            </select>
          </div>

          <div class="col-12 mt-5">
            <input type="submit" class="boton" value="Insertar">
          </div>

          <span class="mensaje">{{ mensaje }}</span>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "InsertarEstadios",
  data() {
    return {
      mensaje: "",
      paises: [],
      estadio: {
        id: 0,
        nombre: "",
        apodo: "",
        ciudad: "",
        capacidad: 0,
        fechaApertura: "",
        idPais: 0
      }
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function() {
      axios.get("http://laboratorio10.test/api/countries")
          .then((response) => response.data)
          .then((data) => {
            console.log(data);
            this.paises = data;
          })
    },
    postData: function() {
      axios.post("http://laboratorio10.test/api/stadiums",null,{params: this.estadio})
        .then(response => response.data)
        .then(data => {
          if(data){
            this.mensaje = "El estadio con el id " + data.id + " fue agregado correctamente";
            this.estadio = {
              id: 0,
              nombre: "",
              apodo: "",
              ciudad: "",
              capacidad: 0,
              fechaApertura: "",
              idPais: 0
            }
          } else {
             this.mensaje = "No se pudo agregar el estadio";
          }
        })
    }
  }
}
</script>

<style scoped>

</style>